Page tree
Skip to end of metadata
Go to start of metadata

New features

Warning:

The following new features are available only if you have one of the following cPanel & WHM versions:

  • cPanel & WHM version 11.40.1.16
  • cPanel & WHM version 11.42.1.19
  • cPanel & WHM version 11.44.0.8
  • All builds of cPanel & WHM version 11.46

EasyApache interface changes

The Profile stage of the EasyApache (Apache Update) interface now provides more information about each EasyApache profile, and a simpler, easier to use interface.

The Preferences section of the Exhaustive Options List now provides an option to remove the Upgrade to CloudLinux banner.

New profiles

The new EasyApache profiles are specific to your operating system. For more information about the new profiles, read our EasyApache Profile Stage documentation.

CloudLinux upgrade button

EasyApache's new Profile interface provides a button that allows you to purchase a CloudLinux license.

MPM ITK

The Apache multi-processing module (MPM) ITK is now available in EasyApache if you use Apache version 2.2. The MPM ITK causes Apache to branch (fork) into additional processes before requests are made. When an Apache process responds to a request, it switches to the UID and GID of the VirtualHost that owns the request. Scripts and configuration files for each VirtualHost can be protected from files on other VirtualHosts.

If you select the MPM ITK option in EasyApache, EasyApache selects the cgi option as your PHP handler by default.

For more information on the MPM ITK option in WHM's EasyApache (Apache Update) interface (Home >> Software >> EasyApache (Apache Update)), read our MPM Options documentation.

For more information about the MPM ITK module, view the developer's The Apache 2 ITK MPM website.

Modified or updated features

XCache

The latest version of XCache is version 3.1.0. XCache version 3.1.0 for includes support for the following PHP versions: 5.3, 5.4, and 5.5.

SourceGuardian Loader

The latest version of SourceGuardian Loader is version 10.0. SourceGuardian Loader version 10.0 includes support for the following PHP versions: 5.3, 5.4, and 5.5.

PHP 5.5

The latest version of PHP is 5.5.19.

PHP version 5.5 is no longer EXPERIMENTAL.

Mod Ruid2

The Mod Ruid2 Apache module is no longer EXPERIMENTAL.

suPHP

The latest version of suPHP is version 0.7.2.

Apache 2.4

The latest version of Apache 2.4 is version 2.4.10.

PCRE

The latest version of PCRE is 8.36.

APR

The latest version of APR is 1.5.4.

Mod Perl

The latest version of the mod_perl Apache module is version 2.0.8.

Mod QoS

The latest version of the mod_qos Apache module is version 11.5.

Lua

The latest version of Lua is version 5.1.5.

Curl

The latest version of Curl is 7.38.0.

Suhosin

The latest version of Suhosin is 0.9.36.

Notes:

  • If you use PHP 5.4 or 5.5, EasyApache will use Suhosin 0.9.36.
  • If you use PHP 5.3, EasyApache will use Suhosin 0.9.33.

Apache 2.2

The latest version of Apache 2.2 is Apache 2.2.29.

PHP 5.4

The latest version of PHP is 5.4.35.

Mod Hostinglimits

The latest version of Mod Hostinglimits is 1.0-19. 

libxml2

The latest version of libxml2 is 2.9.2.

Removed Features

PHP version 5.3.28 removed

PHP version 5.3.28 has been removed. 

If your EasyApache profile includes 5.3.28, EasyApache will upgrade your PHP installation to 5.3.29.